# DescribeUDBBackupStrategy - DescribeUDBBackupStrategy

## Overview

DescribeUDBBackupStrategy






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDBBackupStrategy`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **DBId** | string | instance id |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **BackupBeginTime** | int | Backup strategy, unmodifiable, start time, calculated in units of hours, default is 3 o'clock. |**Yes**|
| **BackupDate** | string | Backup date marker. There are 7 digits, each representing the backup status for a day of the week. 0 indicates the backup is turned off for that day, 1 indicates the backup is turned on. The rightmost digit is the backup switch for Sunday, and the rest from right to left are the backup configuration switches for Monday to Saturday, respectively. At least two days of backup must be set each week. For example, 1100000 means the automatic backup function for Saturday and Friday is turned on. |**Yes**|
| **BackupMethod** | string | The default backup method, 'nobackup' means no backup, 'snapshot' means using snapshot backup, 'logic' means using logical backup, 'xtrabackup' means using physical backup. 'ark_snapshot' is UDataArk snapshot backup. |**Yes**|
| **UserUFileData** | [*UFileDataSet*](#ufiledataset) | User backs up to their own UFILE configuration, structure refers to UFileDataSet. |**Yes**|
| **SaveDays** | int | Keep for how many days |**Yes**|

#### Data Model


#### UFileDataSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **TokenID** | string | Tokenid of Ufile |No|
| **Bucket** | string | Bucket Name |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeUDBBackupStrategy
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=tCgFGEsW
&DBId=FxcIQFbp
```

### Response Example
    
```json
{
  "Action": "DescribeUDBBackupStrategyResponse",
  "BackupBeginTime": 2,
  "BackupDate": "chybncZG",
  "BackupMethod": "csrcwruP",
  "RetCode": 0,
  "SaveDays": 6,
  "UserUFileData": {}
}
```





